module b612.me/apps/b612

go 1.21.2

toolchain go1.22.4

require (
	b612.me/notify v1.2.6
	b612.me/sdk/whois v0.0.0-20240816133027-129514a15991
	b612.me/starcrypto v0.0.5
	b612.me/stario v0.0.10
	b612.me/starlog v1.3.4
	b612.me/starmap v1.2.4
	b612.me/starnet v0.2.1
	b612.me/staros v1.1.8
	b612.me/starssh v0.0.2
	b612.me/startext v0.0.0-20220314043758-22c6d5e5b1cd
	b612.me/wincmd v0.0.4
	github.com/elazarl/goproxy v0.0.0-20231117061959-7cc037d33fb5
	github.com/elazarl/goproxy/ext v0.0.0-20190711103511-473e67f1d7d2
	github.com/emersion/go-smtp v0.20.2
	github.com/go-acme/lego/v4 v4.16.1
	github.com/goftp/file-driver v0.0.0-20180502053751-5d604a0fc0c9
	github.com/goftp/server v0.0.0-20200708154336-f64f7c2d8a42
	github.com/golang/freetype v0.0.0-20170609003504-e2365dfdc4a0
	github.com/huin/goupnp v1.3.0
	github.com/inconshreveable/mousetrap v1.1.0
	github.com/miekg/dns v1.1.58
	github.com/nfnt/resize v0.0.0-20180221191011-83c6a9932646
	github.com/spf13/cobra v1.8.0
	github.com/things-go/go-socks5 v0.0.5
	github.com/vbauerster/mpb/v8 v8.8.3
	golang.org/x/crypto v0.26.0
	golang.org/x/net v0.28.0
	golang.org/x/sys v0.24.0
	software.sslmate.com/src/go-pkcs12 v0.4.0
)

require (
	b612.me/win32api v0.0.2 // indirect
	github.com/Azure/azure-sdk-for-go/sdk/azcore v1.6.0 // indirect
	github.com/Azure/azure-sdk-for-go/sdk/azidentity v1.3.0 // indirect
	github.com/Azure/azure-sdk-for-go/sdk/internal v1.3.0 // indirect
	github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/dns/armdns v1.1.0 // indirect
	github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/privatedns/armprivatedns v1.1.0 // indirect
	github.com/AzureAD/microsoft-authentication-library-for-go v1.0.0 // indirect
	github.com/VividCortex/ewma v1.2.0 // indirect
	github.com/acarl005/stripansi v0.0.0-20180116102854-5a71ef0e047d // indirect
	github.com/aliyun/alibaba-cloud-sdk-go v1.61.1755 // indirect
	github.com/cenkalti/backoff/v4 v4.2.1 // indirect
	github.com/cloudflare/cloudflare-go v0.86.0 // indirect
	github.com/cpu/goacmedns v0.1.1 // indirect
	github.com/emersion/go-sasl v0.0.0-20200509203442-7bfe0ed36a21 // indirect
	github.com/go-jose/go-jose/v4 v4.0.1 // indirect
	github.com/goccy/go-json v0.10.2 // indirect
	github.com/golang-jwt/jwt/v4 v4.5.0 // indirect
	github.com/google/go-querystring v1.1.0 // indirect
	github.com/google/uuid v1.3.1 // indirect
	github.com/hashicorp/go-cleanhttp v0.5.2 // indirect
	github.com/hashicorp/go-retryablehttp v0.7.5 // indirect
	github.com/jlaffaye/ftp v0.1.0 // indirect
	github.com/jmespath/go-jmespath v0.4.0 // indirect
	github.com/json-iterator/go v1.1.12 // indirect
	github.com/kr/fs v0.1.0 // indirect
	github.com/kylelemons/godebug v1.1.0 // indirect
	github.com/mattn/go-runewidth v0.0.16 // indirect
	github.com/modern-go/concurrent v0.0.0-20180306012644-bacd9c7ef1dd // indirect
	github.com/modern-go/reflect2 v1.0.2 // indirect
	github.com/pkg/browser v0.0.0-20210911075715-681adbf594b8 // indirect
	github.com/pkg/sftp v1.13.4 // indirect
	github.com/rivo/uniseg v0.4.7 // indirect
	github.com/spf13/pflag v1.0.5 // indirect
	github.com/tencentcloud/tencentcloud-sdk-go/tencentcloud/common v1.0.490 // indirect
	github.com/tencentcloud/tencentcloud-sdk-go/tencentcloud/dnspod v1.0.490 // indirect
	golang.org/x/image v0.6.0 // indirect
	golang.org/x/mod v0.17.0 // indirect
	golang.org/x/sync v0.8.0 // indirect
	golang.org/x/term v0.23.0 // indirect
	golang.org/x/text v0.17.0 // indirect
	golang.org/x/time v0.5.0 // indirect
	golang.org/x/tools v0.21.1-0.20240508182429-e35e4ccd0d2d // indirect
	gopkg.in/ini.v1 v1.67.0 // indirect
)
